package com.zd.laboratory.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.zd.common.core.annotation.Excel;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.zd.common.core.web.domain.BaseEntity;
import org.hibernate.validator.constraints.Length;

/**
 * 负面清单设置对象 lab_negative_list_site
 * 
 * @author zd
 * @date 2021-12-14
 */
@ApiModel("负面清单设置")
public class LabNegativeListSite extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    @ApiModelProperty(value = "${comment}")
    private Long id;
    /** 违规次数 */
    @Excel(name = "违规次数")
    @ApiModelProperty(value = "违规次数")
    private Long violationsNum;
    /** 信用分值区间起始位 */
    @Excel(name = "信用分值区间起始位")
    @ApiModelProperty(value = "信用分值区间起始位")
    private Long creditScoreStart;
    /** 信用分值区间结束位 */
    @Excel(name = "信用分值区间结束位")
    @ApiModelProperty(value = "信用分值区间结束位")
    private Long creditScoreEnd;
    /** 0:警告,1:约谈,2:学习,3:考试 */
    @Excel(name = "0:警告,1:约谈,2:学习,3:考试")
    @Length(message = "0:警告,1:约谈,2:学习,3:考试长度不能超过100")
    @ApiModelProperty(value = "0:警告,1:约谈,2:学习,3:考试")
    private String solutionType;
    /** 题目数量 */
    @Excel(name = "题目数量")
    @ApiModelProperty(value = "题目数量")
    private Long questionsNum;
    /** 处理时限(天) */
    @Excel(name = "处理时限(天)")
    @Length(message = "处理时限(天)长度不能超过50")
    @ApiModelProperty(value = "处理时限(天)")
    private String durationTime;



    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setViolationsNum(Long violationsNum) 
    {
        this.violationsNum = violationsNum;
    }

    public Long getViolationsNum() 
    {
        return violationsNum;
    }
    public void setCreditScoreStart(Long creditScoreStart) 
    {
        this.creditScoreStart = creditScoreStart;
    }

    public Long getCreditScoreStart() 
    {
        return creditScoreStart;
    }
    public void setCreditScoreEnd(Long creditScoreEnd) 
    {
        this.creditScoreEnd = creditScoreEnd;
    }

    public Long getCreditScoreEnd() 
    {
        return creditScoreEnd;
    }
    public void setSolutionType(String solutionType) 
    {
        this.solutionType = solutionType;
    }

    public String getSolutionType() 
    {
        return solutionType;
    }
    public void setQuestionsNum(Long questionsNum) 
    {
        this.questionsNum = questionsNum;
    }

    public Long getQuestionsNum() 
    {
        return questionsNum;
    }
    public void setDurationTime(String durationTime) 
    {
        this.durationTime = durationTime;
    }

    public String getDurationTime() 
    {
        return durationTime;
    }



    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("violationsNum", getViolationsNum())
            .append("creditScoreStart", getCreditScoreStart())
            .append("creditScoreEnd", getCreditScoreEnd())
            .append("solutionType", getSolutionType())
            .append("questionsNum", getQuestionsNum())
            .append("durationTime", getDurationTime())
            .toString();
    }
}
